import 'dart:io';

Future<void> main(List<String> args) async {
  print("====== 欢迎使用 Flyinsono Lab Build Tools ======");
  print("WIP: 该工具还在开发中，欢迎使用并提出建议。");
  print("运行该脚本将会还原web文件夹。");
  print("web_flyinsono --> web");
  print("web --> web_lab");
  print("===========================================");
  renameWebFolder();
}

void renameWebFolder() async {
  // 创建一个Directory对象指向当前目录下的web文件夹
  var webDir = Directory('web');
  var webFisDir = Directory('web_flyinsono');

  if (await webDir.exists() && await webFisDir.exists()) {
    await webDir.rename('web_lab');
    await webFisDir.rename('web');
    return;
  } else {
    print('当前目录下不存在 web 和 web_flyinsono 文件夹，请检查运行环境');
  }
}
